# Type Alias KeyValueProps

KeyValueProps: {
className?: string;
cols?: number;
items: {
icon?: React.ReactNode;
key?: React.ReactNode;
onClick?: () => void;
value?: React.ReactNode;
}[];
valueFirst?: boolean;
}

#### Type declaration

- ##### `Optional` className?: string

- ##### `Optional` cols?: number

- ##### items: {
  icon?: React.ReactNode;
  key?: React.ReactNode;
  onClick?: () => void;
  value?: React.ReactNode;
  }[]

- ##### `Optional` valueFirst?: boolean

- Defined in src/components/ui/keyValue/KeyValue.tsx:14